KDE 4.7 PyKDE API Reference

- KDE's Python API

# OpticalDrive Class Reference

`from PyKDE4.solid import *`

Inherits: Solid.StorageDrive → Solid.DeviceInterface → QObject
Namespace: Solid

## Detailed Description

This device interface is available on CD-R*,DVD*,Blu-Ray,HD-DVD drives.

An OpticalDrive is a storage that can handle optical discs.

## Enumerations
MediumType | { Cdr, Cdrw, Dvd, Dvdr, Dvdrw, Dvdram, Dvdplusr, Dvdplusrw, Dvdplusdl, Dvdplusdlrw, Bd, Bdr, Bdre, HdDvd, HdDvdr, HdDvdrw }
## Signals
| ejectDone (Solid.ErrorType error, QVariant errorData, QString udi)
| ejectPressed (QString udi)
| ejectRequested (QString udi)
## Methods
| __init__ (self, QObject backendObject)
bool | eject (self)
int | readSpeed (self)
Solid.OpticalDrive.MediumTypes | supportedMedia (self)
int | writeSpeed (self)
[int] | writeSpeeds (self)
## Static Methods
Solid.DeviceInterface.Type | deviceInterfaceType ()

## Signal Documentation

ejectDone | ( | Solid.ErrorType | error,
|  | QVariant | errorData,
|  | QString | udi
| ) |  |  |

This signal is emitted when the attempted eject process on this drive is completed. The signal might be spontaneous, i.e. it can be triggered by another process.

Parameters:

  | error | type of error that occurred, if any
  | errorData | more information about the error, if any
  | udi | the UDI of the volume

Signal syntax:
  `QObject.connect(source, SIGNAL("ejectDone(Solid::ErrorType, QVariant, const QString&)"), target_slot)`

ejectPressed | ( | QString | udi
| ) |  |  |

This signal is emitted when the eject button is pressed on the drive.

Please note that some (broken) drives doesn't report this event.

Parameters:

  | udi | the UDI of the drive

Signal syntax:
  `QObject.connect(source, SIGNAL("ejectPressed(const QString&)"), target_slot)`

ejectRequested | ( | QString | udi
| ) |  |  |

This signal is emitted when eject on this drive is requested. The signal might be spontaneous, i.e. it can be triggered by another process.

Parameters:

  | udi | the UDI of the volume

Signal syntax:
  `QObject.connect(source, SIGNAL("ejectRequested(const QString&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QObject | backendObject
| ) |  |  |

Creates a new OpticalDrive object. You generally won't need this. It's created when necessary using Device.as().

Parameters:

  | backendObject | the device interface object provided by the backend

See also:
  Solid.Device.as()

bool eject | ( |  | self ) |

Ejects any disc that could be contained in this drive. If this drive is empty, but has a tray it'll be opened.

Returns:
  the status of the eject operation

int readSpeed | ( |  | self ) |

Retrieves the maximum read speed of this drive in kilobytes per second.

Returns:
  the maximum read speed

Solid.OpticalDrive.MediumTypes supportedMedia | ( |  | self ) |

Retrieves the medium types this drive supports.

Returns:
  the flag set indicating the supported medium types

int writeSpeed | ( |  | self ) |

Retrieves the maximum write speed of this drive in kilobytes per second.

Returns:
  the maximum write speed

[int] writeSpeeds | ( |  | self ) |

Retrieves the list of supported write speeds of this drive in kilobytes per second.

Returns:
  the list of supported write speeds

## Static Method Documentation

Solid.DeviceInterface.Type deviceInterfaceType | ( |  | ) |

Get the Solid.DeviceInterface.Type of the OpticalDrive device interface.

Returns:
  the OpticalDrive device interface type

See also:
  Solid.Ifaces.Enums.DeviceInterface.Type

## Enumeration Documentation

MediumType

This enum type defines the type of medium an optical drive supports.

- Cdr : A Recordable Compact Disc (CD-R) - Cdrw : A ReWritable Compact Disc (CD-RW) - Dvd : A Digital Versatile Disc (DVD) - Dvdr : A Recordable Digital Versatile Disc (DVD-R) - Dvdrw : A ReWritable Digital Versatile Disc (DVD-RW) - Dvdram : A Random Access Memory Digital Versatile Disc (DVD-RAM) - Dvdplusr : A Recordable Digital Versatile Disc (DVD+R) - Dvdplusrw : A ReWritable Digital Versatile Disc (DVD+RW) - Dvdplusdl : A Dual Layer Digital Versatile Disc (DVD+R DL) - Dvdplusdlrw : A Dual Layer Digital Versatile Disc (DVD+RW DL) - Bd : A Blu-ray Disc (BD) - Bdr : A Blu-ray Disc Recordable (BD-R) - Bdre : A Blu-ray Disc Recordable and Eraseable (BD-RE) - HdDvd : A High Density Digital Versatile Disc (HD DVD) - HdDvdr : A High Density Digital Versatile Disc Recordable (HD DVD-R) - HdDvdrw : A High Density Digital Versatile Disc ReWritable (HD DVD-RW)

Enumerator:

  Cdr = 0x00001 |
  Cdrw = 0x00002 |
  Dvd = 0x00004 |
  Dvdr = 0x00008 |
  Dvdrw = 0x00010 |
  Dvdram = 0x00020 |
  Dvdplusr = 0x00040 |
  Dvdplusrw = 0x00080 |
  Dvdplusdl = 0x00100 |
  Dvdplusdlrw = 0x00200 |
  Bd = 0x00400 |
  Bdr = 0x00800 |
  Bdre = 0x01000 |
  HdDvd = 0x02000 |
  HdDvdr = 0x04000 |
  HdDvdrw = 0x08000 |